> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chat.voicebot.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# Whatsapp QR Code

> Generate WhatsApp link as QR code.



## OpenAPI

````yaml api-reference/openapi.json get /marketing/whatsapp-qr-code
openapi: 3.0.3
info:
  version: 0.1.0
  title: Client API
servers:
  - url: https://1-some-client.some-server.healvi-chat/third-party/v1
security:
  - bearerAuth: []
paths:
  /marketing/whatsapp-qr-code:
    get:
      tags:
        - marketing
      summary: Generate WhatsApp link as qr code.
      parameters:
        - in: query
          name: agent_id
          description: >-
            Optional ID of target agent. If none given, the first WhatsApp agent
            will be used.
          schema:
            type: integer
          required: false
      responses:
        '200':
          description: Success
          content:
            image/png:
              schema:
                type: string
                format: binary
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````